# RNAja

[![PythonVersions](https://img.shields.io/badge/python-3.7%2B-blue)](https://www.python.org/downloads)
[![SnakemakeVersions](https://img.shields.io/badge/snakemake-≥5.10.0-brightgreen.svg?style=flat)](https://snakemake.readthedocs.io)
[![Singularity](https://img.shields.io/badge/singularity-≥3.3.0-7E4C74.svg)](https://sylabs.io/docs/)

![](docs/source/_images/RNAja.png)

About RNAja
===============

RNAja is a pipeline written in snakemake, allowing to analyse RNAseq data, perform differential expression analysis on it and output a report in Rmarkdown.
The output are compatible with the database diffexDB https://bioinfo-web.mpl.ird.fr/cgi-bin2/microarray/public/diffexdb.cgi.

**Homepage:**

## Authors

- Aurore Comte (IRD)

Some parts of RNAja code and documentation were inspired or came from the pipelines below.

- Culebront (Julie Orjuela *et al.*) https://github.com/SouthGreenPlatform/culebrONT

- sRNAmake (Sebastien Cunnac *et al.*) https://github.com/Aucomte/sRNAmake

- BulkRNA (Camille Cohen) https://github.com/CamilleCohen/ProjetTuteur-_BulkRNA

Thanks and acknowledgements
==========================

Thanks to Ndomassi Tando (i-Trop IRD) by administration support.

The authors acknowledge the IRD i-Trop HPC <https://bioinfo.ird.fr/> (South Green Platform <http://www.southgreen.fr>) at IRD
Montpellier for providing HPC resources that have contributed to this work.

Thanks to Alexis Dereeper for his help and the development of diffexDB <https://bioinfo-web.mpl.ird.fr/cgi-bin2/microarray/public/diffexdb.cgi>.

License
=======

Licenced under MIT https://opensource.org/license/mit/.

Intellectual property belongs to IRD and authors.

