#!/usr/bin/env python3
# -*- coding: utf-8 -*-
from pathlib import Path

from snakemake.logging import logger
from snakemake.utils import validate
import re
from .global_variables import *
from snakecdysis import *

class Rnaja(SnakEcdysis):
    """
    to read file config
    """
    def __init__(self, dico_tool, workflow, config):
        super().__init__(**dico_tool, workflow=workflow, config=config)

        # Initialisation of RNAja attributes
        self.fastq_files_list = None
        self.fastq_files_ext = None
        self.fastq_gzip = None
        self.samples_names_list = None

        # populating fastq files, extension and compression
        self.fastq_files_list, self.fastq_files_ext, self.fastq_gzip = get_files_ext2(
            self.get_config_value('DATA', 'fastq_dir'), ALLOW_FASTQ_EXT)

        #populating samples identifiers
        self.fastq_files_list, self.fastq_files_ext, self.fastq_gzip = get_files_ext2(
        self.get_config_value('DATA', 'fastq_dir'), ALLOW_FASTQ_EXT)
        self.samples_names_list = set([Path(elm).stem.split("_")[0] if "_" in elm else Path(
        elm).stem if not self.fastq_gzip else Path(elm).stem.split(".")[0] for elm in
                                 self.fastq_files_list])

